### Signal

# Shumate DataSource::received-data

deprecated: 1.1

#### Declaration

    void
    received_data (
      ShumateDataSource* self,
      gint x,
      gint y,
      gint zoom_level,
      GBytes* bytes,
      gpointer user_data
    )

#### Description [src]

Emitted when data is received for any tile. This includes any intermediate steps, such as data from the file cache, as well as the final result.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 1.1
Use `shumate_data_source_start_request()` and connect to the notify signals of the resulting `ShumateDataSourceRequest`.

#### Parameters

`x`

  Type: `gint`

  The X coordinate of the tile.

`y`

  Type: `gint`

  The Y coordinate of the tile.

`zoom_level`

  Type: `gint`

  The zoom level of the tile.

`bytes`

  Type: `GBytes`

  The received data.

  The data is owned by the caller of the function.